@media screen and (max-width: 640px) {
  .tab {
    position: relative;
    top: 28px;
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
  }
}

@media screen and (min-width: 640px) {
  .tab {
    position: relative;
    left: 10%;
    top: 50px;
    right: 10%;
    width: 80vw;
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
    border-radius: 30px;
  }
}

/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  overflow: hidden;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */

/* Fade in tabs */
@-webkit-keyframes fadeEffect {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

@keyframes fadeEffect {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

table.profileTable tr:nth-child(even) {
  background-color: #f2f2f2;
}

@media screen and (min-width: 800px) {
  .tabcontent {
    display: none;
    position: relative;
    overflow: hidden;
    left: 10%;
    top: 50px;
    padding: 6px 12px;
    -webkit-animation: fadeEffect 0.5s;
    animation: fadeEffect 0.5s;
  }

  table.profileTable td {
    font-size: 18px;
    text-align: center;
    padding: 10px;
    border-bottom: 1px solid #ddd;
  }

  table.profileTable th {
    font-size: 18px;
    text-align: left;
    padding: 10px;
    border-bottom: 1px solid #ddd;
  }
}

@media screen and (max-width: 800px) {
  .tabcontent {
    display: none;
    position: relative;
    overflow: hidden;
    top: 25px;
    padding: 6px 12px;
    -webkit-animation: fadeEffect 0.5s;
    animation: fadeEffect 0.5s;
  }

  table.profileTable td {
    font-size: 2.2vw;
    text-align: center;
    padding: 10px;
    border-bottom: 1px solid #ddd;
  }

  table.profileTable th {
    font-size: 2.2vw;
    text-align: left;
    padding: 10px;
    border-bottom: 1px solid #ddd;
  }
}

/*Profile Form*/

.formProfile ::placeholder {
  color: black;
  opacity: 1;
  /* Firefox */
}

.formProfile input[type="text"],
select,
textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
  border-radius: 30px;
  outline: none;
}

.formProfile input[type="email"],
select,
textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: vertical;
  border-radius: 30px;
  outline: none;
}

.formProfile label {
  padding: 12px 12px 12px 0;
  display: inline-block;
}

.formProfile input[type="submit"] {
  background-color: #4caf50;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  float: right;
}

.formProfile input[type="submit"]:hover {
  background-color: #45a049;
}

.formProfile a {
  font-size: 19px;
  color: #000;
}
.formProfile .checkboxContainer p {
  font-size: 19px;
  color: #000;
}

@media screen and (min-width: 600px) {
  .containerProfile {
    position: relative;
    width: 650px;
    border-radius: 10px;
    background-color: #f2f2f2;
    padding: 20px;
  }

  @media screen and (max-width: 600px) {
    .containerProfile {
      position: relative;
      width: auto;
      border-radius: 5px;
      background-color: #f2f2f2;
      padding: 20px;
    }
  }

  .col-25Profile {
    float: left;
    width: 25%;
    margin-top: 6px;
  }

  .col-75Profile {
    float: left;
    width: 75%;
    margin-top: 6px;
  }

  /* Clear floats after the columns */
  .rowProfile:after {
    content: "";
    display: table;
    clear: both;
  }

  /* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
  @media screen and (max-width: 600px) {
    .col-25Profile,
    .col-75Profile,
    input[type="submit"] {
      width: 100%;
      margin-top: 0;
    }
  }
}

.checkboxContainer {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 10px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.checkboxContainer input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 13px;
  left: 430px;
  height: 25px;
  width: 25px;
  background-color: darkgray;
}

.checkboxContainer:hover input ~ .checkmark {
  background-color: #ccc;
}

.checkboxContainer input:checked ~ .checkmark {
  background-color: #2196f3;
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.checkboxContainer input:checked ~ .checkmark:after {
  display: block;
}

.checkboxContainer .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
